package pointers

import "fmt"

// PointersPlayground - функция для демонстрации работы
// указателей на адреса
func PointersPlayground() {
	name := "Anton"
	var ptr *string

	// Присваиваем адрес в памяти name к указателю
	// Т.е. адрес переменной name мы присваиваем
	// указателю prt с типом string
	// Если бы у нас был указатель с типом *int например
	// То код ниже дал бы ошибку
	ptr = &name

	fmt.Println("Value of ponter is", ptr)
	fmt.Println("Address of the variable", &name)
}

// PointersValues - функция для демонстрации того, как
// получить значение из адреса в памяти
func PointersValues() {
	name := "Antoshka"
	var ptr *string

	ptr = &name

  // * Используется чтобы получить значение из переменной
  // с типом "адрес в памяти" (&)
	fmt.Println(*ptr)
}
